/*
 * Class INDEXABLE_ITERATION_CURSOR [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_577 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_577 [] = {0xFF01,237,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_577 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_577 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_577 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_577 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_577 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_577 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_577 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_577 [] = {576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_15_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_16_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_17_577 [] = {0xFF01,576,176,0xFFFF};
static const EIF_TYPE_INDEX egt_18_577 [] = {0xFF01,579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_577 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_577 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_577 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_577 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_577 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_577[] = {
	{EIF_GENERIC(NULL), 3188, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_577), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_577), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_577), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_577), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_577), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_577), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_577), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_577), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_577), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_577), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_577), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_577), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_577), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_577), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3192, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 3193, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 3194, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 3195, 24},
	{EIF_GENERIC(egt_14_577), 3197, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_577), 3198, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_577), 3174, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_577), 3175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 3176, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 3178, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 3179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3184, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_577), 3186, 0},
	{EIF_GENERIC(egt_19_577), 3187, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_577), 3190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3177, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3185, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_577), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_577), 3196, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_577), -1, 0xFFFFFFFF},
};
void Init577(void)
{
	IDSC(desc_577, 0, 576);
	IDSC(desc_577 + 1, 1, 576);
	IDSC(desc_577 + 32, 194, 576);
	IDSC(desc_577 + 52, 245, 576);
	IDSC(desc_577 + 56, 99, 576);
}


#ifdef __cplusplus
}
#endif
